Bug 1909473 - No sound after monitor comes out of sleep, Output device has Dummy Output
Summary: No sound after monitor comes out of sleep, Output device has Dummy Output
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 33
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-20 09:16 UTC by Daniel Rowe
Modified: 2021-11-30 17:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 17:34:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
alsa-info.sh --no-upload (67.09 KB, text/plain)
2020-12-20 09:17 UTC, Daniel Rowe
no flags Details
Dummy Output screen shot (60.74 KB, image/png)
2020-12-20 09:19 UTC, Daniel Rowe
no flags Details
pulseaudio -vvvvv (277.90 KB, text/plain)
2020-12-21 06:26 UTC, Daniel Rowe
no flags Details

Description Daniel Rowe 2020-12-20 09:16:38 UTC
Description of problem:

After my monitor wakes from sleep there is no sound working. Using sound over display port. If I open the setting app and have a look at sound instead of the HDMI / DisplayPort output device it has Dummy Output.

If I run pulseaudio -k it fixes the issue, until a sleep wake.

On Fedora 32 it did not have this issue.

This is on a intel NUC NUC8i7HVK with [AMD/ATI] Polaris 22 HDMI Audio [1002:ab08],

Version-Release number of selected component (if applicable):

alsa-plugins-pulseaudio-1.2.2-3.fc33.i686
alsa-plugins-pulseaudio-1.2.2-3.fc33.x86_64
projectM-pulseaudio-3.1.3-2.fc33.x86_64
pulseaudio-libs-14.0-2.fc33.x86_64
pulseaudio-14.0-2.fc33.x86_64
pulseaudio-libs-glib2-14.0-2.fc33.x86_64
pulseaudio-utils-14.0-2.fc33.x86_64
pulseaudio-module-x11-14.0-2.fc33.x86_64
pulseaudio-libs-devel-14.0-2.fc33.x86_64
pulseaudio-module-bluetooth-14.0-2.fc33.x86_64
pulseaudio-libs-14.0-2.fc33.i686
wine-pulseaudio-6.0-0.2rc2.fc33.x86_64
wine-pulseaudio-6.0-0.2rc2.fc33.i686

How reproducible:

Almost every time.

Steps to Reproduce:
1. Let monitor go to sleep
2. Wake monitor up
3. No sound

Actual results:

No sound, in the settings app has output device as Dummy Output.

Expected results:

Sound works after wake.

Additional info:

Comment 1 Daniel Rowe 2020-12-20 09:17:15 UTC
Created attachment 1740592 [details]
alsa-info.sh --no-upload

Comment 2 Daniel Rowe 2020-12-20 09:19:02 UTC
Created attachment 1740593 [details]
Dummy Output screen shot

Comment 3 Daniel Rowe 2020-12-21 06:26:36 UTC
Created attachment 1740889 [details]
pulseaudio -vvvvv

Comment 4 Ben Cotton 2021-11-04 16:25:30 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2021-11-30 17:34:27 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.